roller-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dave <snoopd...@gmail.com>
Subject Re: EKit editor with 3.1
Date Mon, 19 Nov 2007 16:00:45 GMT
On Nov 16, 2007 8:27 PM, Eric Wittle <ericw@wittle.net> wrote:
> I'd like to use the EKit editor with Roller 3.1, since the Xinha
> editor isn't supported in Safari 3.0.
>
> The roller support site has download support files for 2.3, but not
> for 3.1.
>
> Can anyone fill me in on what I'd need to do to get it working in 3.1?

Basically, you need a class like this in the Roller classpath:

public class EkitWeblogEditorPlugin implements WeblogEntryEditor {

    public String getId() {
        return "editor-ekit.jsp";
    }

    public String getName() {
        return "Ekit Editor";
    }

    public String getJspPage() {
        return "/roller-ui/authoring/editors/editor-ekit.jsp";
    }
}

And you need the Ekit JSP and Applet jar in the right place. I'll try
to put together a build script and some instructions this week. The
editor add-ons at Roller Support are not in very good shape for 3.x or
4.0.

- Dave

Mime
View raw message